- if Gitlab::Geo.license_allows?
  %section.settings.as-geo.no-animate#js-geo-settings{ class: ('expanded' if expanded) }
    .settings-header
      %h4
        = _('GitLab Geo')
      %button.btn.js-settings-toggle{ type: 'button' }
        = expanded ? 'Collapse' : 'Expand'
      %p
        = _('Geo allows you to replicate your GitLab instance to other geographical locations.')
    .settings-content

      = form_for @application_setting, url: geo_admin_application_settings_path(anchor: 'js-geo-settings'), html: { class: 'fieldset-form' } do |f|
        = form_errors(@application_setting)

        %fieldset
          .form-group
            = f.label :geo_status_timeout, 'Connection timeout', class: 'label-bold'
            = f.number_field :geo_status_timeout, class: 'form-control'
            .form-text.text-muted
              = _('The amount of seconds after which a request to get a secondary node status will time out.')
          .form-group
            = f.label :geo_node_allowed_ips, 'Allowed Geo IP', class: 'label-bold'
            = f.text_field :geo_node_allowed_ips, class: 'form-control'
            .form-text.text-muted
              = _('List of IPs and CIDRs of allowed secondary nodes. Comma-separated, e.g. "1.1.1.1, 2.2.2.0/24"')

        = f.submit _('Save changes'), class: "btn btn-success"
- else
  = render 'shared/empty_states/geo'
